## org.apache.commons.collections
Class BufferOverflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.collections.BufferOverflowException

All Implemented Interfaces:
  java.io.Serializable

    public class BufferOverflowException

extends java.lang.RuntimeException

The BufferOverflowException is used when the buffer's capacity has been exceeded.

Since:
  Commons Collections 2.1
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Avalon, Berin Loritsch, Jeff Turner, Paul Jack, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`BufferOverflowException()` Constructs a new `BufferOverflowException`.
`BufferOverflowException(java.lang.String message)` Construct a new `BufferOverflowException`.
`BufferOverflowException(java.lang.String message, java.lang.Throwable exception)` Construct a new `BufferOverflowException`.

Method Summary
`java.lang.Throwable` `getCause()` Gets the root cause of the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferOverflowException

    public BufferOverflowException()

  Constructs a new `BufferOverflowException`.

### BufferOverflowException

    public BufferOverflowException(java.lang.String message)

  Construct a new `BufferOverflowException`.

  Parameters:
    `message` - the detail message for this exception

### BufferOverflowException

    public BufferOverflowException(java.lang.String message,
                                   java.lang.Throwable exception)

  Construct a new `BufferOverflowException`.

  Parameters:
    `message` - the detail message for this exception
    `exception` - the root cause of the exception

Method Detail

### getCause

    public final java.lang.Throwable getCause()

  Gets the root cause of the exception.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the root cause

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.